MySQL Forums
Forum List  »  MySQL for Visual Studio

MySQL .Net Connector not available on EF 6.0
Posted by: Fabricio Rodriguez
Date: July 17, 2014 01:45AM

I am running Windows 8.1 Pro Update.

I have created a WPF application in Visual Studio 2013 Update 2, targeting .Net 4.5.2. I then added an "ADO.NET Entity Data Model", selected the "EF Designer from database" option, clicked next, selected the connection (to a MySQL database), clicked next, and then was asked to choose a version of the Entity Framework to use. The problem is that EF 6.0 is greyed out, and I can only select EF 5.0. There is a message that says:

"An Entity Framework database provider compatible with the latest version of Entity Framework could not be found for your data connection. If you have already installed a compatible provider, ensure you have rebuilt your project before performing this action. Otherwise, exit this wizard, install a compatible provider, and rebuild your project before performing this action."

Now, I have installed MySQL Server 5.6.19, with MySQL for Visual Studio 1.1.4 and .Net Connector 6.8.3.

My first thought was that I am targeting a .Net Framework version which is too new, so I tried creating a .Net 4.5, as well as a .Net 4.0 WPF app, rebuilt the solution in each case, and tried again, but I received the exact same error message.

Any ideas anyone?

Options: ReplyQuote


Subject
Views
Written By
Posted
MySQL .Net Connector not available on EF 6.0
2818
July 17, 2014 01:45AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.